


.cart-first {
    background-color: #fafafa;
    padding-block: 2rem;
    margin-top: 89px;
}

.cart-all-container {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 18rem;
}
.delivery__text{
    font-size: 12px;
}
.discount__cart {
    color: #48864b !important;
    font-weight: 600 !important;
    font-size: 14px !important;
}
.left {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    border: 1px solid #cdcdcd;
    padding: 4rem 3rem;
    border-radius: 0.7rem;
}

.return-product-text{
    font-size: 13px;
    margin-top: 1rem;
}
.final__price_cart{
    font-size: 1.8rem;
}
.btn-submit:link,
.btn-submit:visited,
.btn-submit{
    text-decoration: none;
    text-align: center;
    background: var(--secondary-text-color--);
    color: #fff;
    border: none;
    border-radius: 10px;
    padding: 12px 20px;
    transition: all 0.2s;
    font-size: var(--text-size);
    text-align: center;
    align-items: center;
    justify-content: center;
}
.cart-first a.disabled span{
    background-color: #dfdfdf;
}.cart-first a.disabled {
     cursor: default;
}
.cart-first a.disabled .cart-text{
    color: #acacac;
}

.cart-text-and-icon-container:link,
.cart-text-and-icon-container:visited,
.cart-text-and-icon-container{
    display: flex;
    gap: 1rem;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    color: #738f99;
    position: relative;
    font-weight: 600;
}

.cart-text {
    margin-bottom: unset;
    white-space: nowrap;
    font-size: 13px;
}
.cart-left-container{
    display: flex;
    justify-content: space-between;
    align-items: center;
    color: #62666d;
    font-weight: 700;
}
.discount__cart span{
    color: #2e7b32;
}
.cart-icon-container {
    width: 50px;
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #ccdae1;
    border-radius: 50%;
}

.cart-icon-container:first-child {
    padding: 15px;
}

.cart-icon-container svg {
    width: 2.5rem;
    height: 2.5rem;
}
.checkout__title{
    color: #133151;
    font-weight: bold;
    font-size: 1.6rem;
}

.cart-active:link,
.cart-active:visited {
    color: inherit;
    font-weight: 600;
}

.cart-active .cart-icon-container {
    background-color: var(--tertiary-text-color--);
}
.cart-active svg path {
    stroke: #fff !important;
}

.cart-all-container
.cart-text-and-icon-container:nth-child(2)
.cart-icon-container
svg {
    stroke: #939393 !important;
}

.cart-all-container
.cart-text-and-icon-container:nth-child(4)
.cart-icon-container
svg
path,
.cart-all-container .cart-text-and-icon-container:nth-child(3) svg path {
    stroke: #939393 !important;
}

.cart-active .cart-icon-container:first-child svg g path {
    fill: #fff;
}

.cart-all-container .cart-active:nth-child(2) .cart-icon-container svg {
    stroke: #fff !important;
}

.cart-all-container .cart-active:nth-child(3) .cart-icon-container svg path,
.cart-all-container .cart-active:nth-child(4) .cart-icon-container svg path {
    stroke: #fff !important;
}

.cart-text-and-icon-container.cart-text-and-icon-container.cart-text-and-icon-container:not(
    :last-child
  )::after {
    content: "";
    position: absolute;
    display: flex;
    background-color: #ddd8e9;
    width: 14rem;
    min-width: 9rem;
    height: 2px;
    transform: translateX(-100%);
    left: -16%;
    cursor: initial;
}

@media only screen and (max-width: 1200px) {
    .cart-text-and-icon-container.cart-text-and-icon-container.cart-text-and-icon-container:not(
      :last-child
    )::after {
        width: 9rem !important;
        min-width: 6rem;
        left: -13%;
    }

    .cart-all-container {
        gap: 12rem !important;
    }

    .cart-text-and-icon-container:link,
    .cart-text-and-icon-container:visited {
        gap: 0.5rem !important;
    }
}

@media only screen and (max-width: 992px) {
    .cart-text {
        font-size: 13px;
    }

    .cart-icon-container svg {
        width: 19px;
        height: 19px;
    }

    .cart-icon-container {
        width: 35px;
        height: 35px;
    }

    .cart-all-container {
        gap: 8rem !important;
    }

    .cart-text-and-icon-container.cart-text-and-icon-container.cart-text-and-icon-container:not(
      :last-child
    )::after {
        width: 7rem !important;
        min-width: 5rem;
        left: -5% !important;
    }
}

@media only screen and (max-width: 768px) {
    .cart-all-container {
        padding-right: unset;
        justify-content: flex-start !important;
    }

    .cart-first {
        overflow-x: scroll;
        scrollbar-width: none;
    }

    .cart-first::-webkit-scrollbar {
        display: none;
    }
}

@media only screen and (max-width: 576px) {
    .cart-first {
        margin-inline: 1rem;
    }
}
